Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.util
Class JpegUtil

    java.lang.Object
      |
      +--com.vistech.util.JpegUtil

public class JpegUtil
extends java.lang.Object

Provides utility methods for saving as JPEG image.

Version:
  1.0 10 April 1999
Author:
  Lawrence Rodrigues

Constructor Summary
`JpegUtil()`

Method Summary
`static java.lang.String` | `launchFileDialog()`
`static java.awt.image.BufferedImage` | `readAsBufferedImage(java.lang.String filename)`
`static void` | `restoreComponent(java.awt.Component cmp, java.awt.Container cont)`
`static void` | `saveComponentAsJPEG(java.awt.Component cmp)`
`static void` | `saveComponentAsJPEG(java.awt.Component cmp, java.awt.Container cont, java.lang.String jpegfile)`
`static java.lang.String` | `saveComponentAsJPEG(java.awt.Component cmp, float quality)`
`static void` | `saveComponentAsJPEG(java.awt.Component cmp, float quality, java.lang.String filename)`
`static java.lang.String` | `saveImageAsJPEG(java.awt.image.BufferedImage bi)`
`static java.lang.String` | `saveImageAsJPEG(java.awt.image.BufferedImage bi, float quality)`
`static void` | `saveImageAsJPEG(java.awt.image.BufferedImage bi, float quality, java.lang.String filename)`
`static void` | `saveImageAsJPEG(java.awt.image.BufferedImage bi, java.lang.String filename)`
`static java.lang.String` | `saveImageAsJPEG(java.awt.Image img, int imwidth, int imheight, java.awt.image.ImageObserver obs)`
`static void` | `saveImageAsJPEG(java.awt.Image img, int imwidth, int imheight, java.awt.image.ImageObserver obs, java.lang.String filename)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JpegUtil

    public JpegUtil()

Method Detail

### saveComponentAsJPEG

    public static void saveComponentAsJPEG(java.awt.Component cmp,
                                           java.awt.Container cont,
                                           java.lang.String jpegfile)

### saveComponentAsJPEG

    public static void saveComponentAsJPEG(java.awt.Component cmp)

### saveComponentAsJPEG

    public static void saveComponentAsJPEG(java.awt.Component cmp,
                                           float quality,
                                           java.lang.String filename)

### saveComponentAsJPEG

    public static java.lang.String saveComponentAsJPEG(java.awt.Component cmp,
                                                       float quality)

### restoreComponent

    public static void restoreComponent(java.awt.Component cmp,
                                        java.awt.Container cont)

### saveImageAsJPEG

    public static java.lang.String saveImageAsJPEG(java.awt.image.BufferedImage bi,
                                                   float quality)

### saveImageAsJPEG

    public static void saveImageAsJPEG(java.awt.image.BufferedImage bi,
                                       float quality,
                                       java.lang.String filename)

### saveImageAsJPEG

    public static void saveImageAsJPEG(java.awt.image.BufferedImage bi,
                                       java.lang.String filename)

### saveImageAsJPEG

    public static java.lang.String saveImageAsJPEG(java.awt.image.BufferedImage bi)

### saveImageAsJPEG

    public static void saveImageAsJPEG(java.awt.Image img,
                                       int imwidth,
                                       int imheight,
                                       java.awt.image.ImageObserver obs,
                                       java.lang.String filename)

### saveImageAsJPEG

    public static java.lang.String saveImageAsJPEG(java.awt.Image img,
                                                   int imwidth,
                                                   int imheight,
                                                   java.awt.image.ImageObserver obs)

### readAsBufferedImage

    public static java.awt.image.BufferedImage readAsBufferedImage(java.lang.String filename)

### launchFileDialog

    public static java.lang.String launchFileDialog()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD